Bug 1732258 (CVE-2019-12219)

Summary: CVE-2019-12219 SDL: invalid free error in function SDL_SetError_REAL
Product: [Other] Security Response Reporter: Dhananjay Arunesh <darunesh>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED NOTABUG QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: unspecifiedCC: dingyichen, erik-fedora, igor.raits, klember, maci, ppisar, tcallawa, wtaymans
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-09-20 18:45:42 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1732259, 1752621, 1752622, 1752623, 1752624    
Bug Blocks: 1732266    

Description Dhananjay Arunesh 2019-07-23 05:41:33 UTC
An issue was discovered in libSDL2.a in Simple DirectMedia Layer (SDL) 2.0.9 when used in conjunction with libSDL2_image.a in SDL2_image 2.0.4. There is an invalid free error in the SDL function SDL_SetError_REAL at SDL_error.c.

Reference:
https://bugzilla.libsdl.org/show_bug.cgi?id=4625

Comment 1 Dhananjay Arunesh 2019-07-23 05:41:49 UTC
Created SDL tracking bugs for this issue:

Affects: fedora-all [bug 1732259]

Comment 3 Dhananjay Arunesh 2019-09-16 18:24:09 UTC
Created SDL2 tracking bugs for this issue:

Affects: epel-7 [bug 1752623]
Affects: fedora-all [bug 1752621]


Created mingw-SDL2 tracking bugs for this issue:

Affects: epel-7 [bug 1752624]
Affects: fedora-all [bug 1752622]

Comment 4 Riccardo Schirone 2019-09-20 14:05:45 UTC
Upstream fix:
https://hg.libsdl.org/SDL_image/rev/e7e9786a1a34

this is the same patch as CVE-2019-12222.

Comment 5 Riccardo Schirone 2019-09-20 14:05:48 UTC
Statement:

This issue did not affect the versions of SDL as shipped with Red Hat Enterprise Linux 5, 6, 7, and 8 as they did not include SDL2_Image add-on.

Comment 6 Product Security DevOps Team 2019-09-20 18:45:42 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2019-12219